/**
    1. General Features
 */
:root {
    --dark-brown: #231B0D;
    --dark: #2c2210;
    --custom-brown: #40331c;
    --light: #493c24;
    --beige: #c8ad7f;
    --semitransparent-beige: rgba(200, 173, 127, .5);
    --custom-grey: #8f887d;
    --semitransparent-black: rgba(0, 0, 0, .5);
    --shadowed-black: rgba(0, 0, 0, .9);
}

html, body, #content-wrapper, #carousel {
    height: 100%;
}

html, body {
    overflow: hidden;
    -ms-overflow-style: none;
}

html::-webkit-scrollbar, body::-webkit-scrollbar {
    display: none;
}

body {
    margin: 0;
    background-color: var(--light);
}

section {
    margin-top: 10%;
}


/**
    2. Top Navigation Bar
 */
.navbar {
    z-index: 100;
}

/* Logo */
#logo, #logo svg {
    height: auto;
    width: 2.5em;
}

/* Navigation Button */
.fa-cog, .fa-sign-out-alt {
    font-size: 1.5em;
}

.fa-cog {
    color: var(--beige);
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.fa-cog:hover {
    color: var(--semitransparent-beige);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;

}

.fa-sign-out-alt, .connect-button, #nav-username {
    color: var(--beige);
    text-decoration: none;
    -webkit-transition: color 0.3s ease-out;
    transition: color 0.3s ease-out;
}

.fa-sign-out-alt:hover, .connect-button:hover {
    cursor: pointer;
    color: var(--semitransparent-beige);
    text-decoration: none;
    -webkit-transition: color 0.3s ease-out;
    transition: color 0.3s ease-out;
}


/**
    3. Carousel
 */
#carousel {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flipster__button {
    z-index: 3;
}


/**
    4. Input And Text Field
 */
.bg-input, .bg-input:focus {
    color: var(--custom-brown);
    background-color: var(--beige);
    border-color: var(--semitransparent-black);
    box-shadow: 0 5px 5px var(--semitransparent-black);
}

.bg-input::placeholder {
    color: var(--custom-brown);
}


/**
    5. DataTable
 */
#current-borrowing .dataTables_paginate,
#returned-borrowing .dataTables_paginate,
.commentContainer .dataTables_paginate {
    float: none;
    text-align: center;
}

#returned-borrowing .dataTables_wrapper .dataTables_paginate .paginate_button:hover,
.commentContainer .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    color: var(--beige) !important;
    background: transparent !important;
    border: 0 none;
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

#returned-borrowing .dataTables_wrapper .dataTables_paginate .disabled,
#returned-borrowing .dataTables_wrapper .dataTables_paginate .disabled:hover,
.commentContainer .dataTables_wrapper .dataTables_paginate .disabled,
.commentContainer .dataTables_wrapper .dataTables_paginate .disabled:hover {
    color: rgba(255, 255, 255, .1) !important;
}

.table td {
    vertical-align: middle;
}


/**
    6. Logo
 */
.shadow {
    -webkit-filter: url("#inset-shadow");
    filter: url("#inset-shadow");
}

.icon-path {
    stroke: var(--beige);
    fill: var(--beige);
    stroke-width: 10;
}


/**
    7. Modal
 */
/* General */
.container {
    height: 100%;
    align-content: center;
}

.input-group-prepend span {
    width: 50px;
    color: var(--shadowed-black);
    border: 0 !important;
}

.footer-font-size {
    font-size: small;
}

.modal-header, .modal-body, .modal-footer {
    color: var(--beige);
    background-color: var(--custom-brown);
}

.modal-header, .modal-footer {
    border-color: var(--beige);
}

/* Link */
.custom-modal-link {
    text-decoration: none;
    color: var(--beige);
    margin: 0;
    padding: 0;
    border: 0 none;
    position: relative;
    outline: none;
}

.custom-modal-link:hover {
    text-decoration: none;
    color: var(--beige);
}

.custom-modal-link:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 5%;
    bottom: 0;
    left: 0;
    margin-top: 1px;
    background: var(--beige);
    visibility: hidden;
    border-radius: 5px;
    transform: scaleX(0);
    transition: .25s linear;
}

.custom-modal-link:hover:before,
.custom-modal-link:focus:before {
    visibility: visible;
    transform: scaleX(1);
}

/* Input */
.input-brown, .input-brown:focus {
    color: var(--beige);
    background-color: transparent;
}

.input-brown::placeholder {
    color: var(--semitransparent-beige);
}

.input-group-text {
    background-color: var(--beige);
    border: 1px solid var(--beige);
}

/* Forms */
.form-control {
    border: 1px solid var(--beige);
}

.form-control:focus {
    border: 1px solid var(--beige);
    box-shadow: inset 0 0 5px .2rem rgba(255, 255, 255, .3);
}

.input-group > .custom-select:not(:last-child), .input-group > .form-control:not(:last-child) {
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .25rem;
}

/* Buttons */
.btn-outline-lightbrown {
    width: 100px;
    color: var(--beige);
    background-image: none;
    background-color: transparent;
    border-color: var(--beige);
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.btn-outline-lightbrown:hover {
    color: var(--shadowed-black);
    background-color: var(--beige);
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.close {
    color: var(--beige);
}

/* Errors */
.error-message {
    color: red;
    display: flex;
    justify-content: center;
    margin-bottom: 1rem;
    background-color: transparent;
    border: 1px solid red;
    border-radius: .25rem;
    padding: .25rem;
}


/**
    8. Parameter and Errors - Nav and Footer
 */
#parameter nav,
#parameter footer,
#not-found nav,
#not-found footer,
#server-error nav,
#server-error footer {
    background-color: var(--semitransparent-black);
}

#parameter nav fas,
#not-found nav fas,
#server-error nav fas {
    color: var(--beige);
}

#parameter footer,
#not-found footer,
#server-error footer {
    height: 10%;
    z-index: 100;
}

.error-title {
    font-size: 10em;
    color: var(--beige);
    text-shadow: 5px 5px 5px var(--dark);
}

.error-text {
    color: var(--beige);
    text-decoration: underline;
    font-size: x-large;
}